Name:           wormux
Version:        0.9.1
Release:        1%{?dist}
Summary:        2D convivial mass murder game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.wormux.org
Source0:        http://download.gna.org/wormux/%{name}-%{version}.tar.bz2
Patch0:         wormux-0.8.3-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL_image-devel SDL_gfx-devel SDL_mixer-devel
BuildRequires:  SDL_ttf-devel SDL_net-devel curl-devel libpng-devel
BuildRequires:  gettext libxml++-devel desktop-file-utils
Requires:       wormux-data dejavu-sans-fonts
Requires(post): coreutils
Requires(postun): coreutils

%description
Battle your favorite free software mascots in the Wormux arena.  With big
sticks of dynamite, grenades, baseball bats, and bazookas you can exterminate
your opponent in a 2D cartoon style scenery.  The goal of the game is to
destroy all of your opponents' mascots.

%description -l fr
Faites des batailles épic dans l'arène Wormux avec vos mascote préféré. Avec
de gros baton de dynamites, grenades, bats de baseball et basookas tu dois
exterminer tes ennemis dans un style cartoon 2D. Le but du jeu est de détruire
toutes les macotees ennemies.


%package data
Summary: Data files for wormux
Group: Amusements/Games
Requires: %{name} = %{version}
BuildArch: noarch
%description data
Data files for wormux

%description -l fr data
Fichier de données pour wormux

%prep
%setup -q
%patch0 -p1

# Remove backup files
rm -f data/map/hive/config.xml.~1~
rm -f data/map/randomisland/config.xml.~1~
rm -f data/map/pillars/config.xml.~1~
rm -f data/map/paradis/config.xml.~1~
rm -f data/map/tic-tac-toe/config.xml.~1~
rm -f data/map/randomamoebas/config.xml.~1~
rm -f data/game_mode/skin_viewer.xml.~1~
rm -f data/game_mode/classic.xml.~2~
rm -f data/game_mode/unlimited.xml.~1~
rm -f data/game_mode/blitz.xml.~1~
rm -f data/game_mode/classic.xml.~1~


%build
%configure --disable-nls --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's/Icon=.*/Icon=wormux.png/' \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor fedora \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
        --remove-category=Application \
        --remove-category=ArcadeGame \
        --add-category=StrategyGame \
        --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

install -d $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/
install -p -m 644 data/%{name}_32x32.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/font/DejaVuSans.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSans.ttf $RPM_BUILD_ROOT%{_datadir}/%{name}/font/DejaVuSans.ttf

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-list-games
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/pixmaps/wormux*.png
%{_mandir}/man6/*.6.gz

%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}

%changelog
* Sat Mar 19 2010 Jonathan MERCIER <bioinfornatics at gmail dot com> 0.9.1-1
- Update to 0.9.1

* Sat Feb 6 2010 Wart <wart@kobold.org> 0.9.0-1
- Update to 0.9.0

* Sat Oct 10 2009 Wart <wart@kobold.org> 0.8.5-1
- Update to 0.8.5

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 18 2009 Wart <wart@kobold.org> 0.8.4-1
- Update to 0.8.4

* Thu May  7 2009 Ville Skyttä <ville.skytta at iki.fi> - 0.8.3-2
- Build with $RPM_OPT_FLAGS.

* Wed May 6 2009 Wart <wart@kobold.org> 0.8.3-1
- Update to 0.8.3
- Make -data subpackage noarch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Wart <wart@kobold.org> 0.8.2-4
- Yet another font package rename

* Thu Jan 1 2009 Wart <wart@kobold.org> 0.8.2-3
- Fix font package name for F11

* Wed Dec 24 2008 Wart <wart@kobold.org> 0.8.2-2
- Add coreutils requirement for rpm post scripts
- Replace bundled font with a symlink to an identical system font (BZ #477484)

* Fri Nov 7 2008 Wart <wart@kobold.org> 0.8.2-1
- Update to 0.8.2

* Thu May 29 2008 Wart <wart@kobold.org> 0.8-1
- Update to 0.8

* Fri Feb 8 2008 Wart <wart@kobold.org> 0.7.9-6
- Rebuild for gcc 4.3

* Tue Aug 21 2007 Wart <wart@kobold.org> 0.7.9-5
- License tag clarification

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 0.7.9-4
- Rebuild against SDL_gfx 2.0.16.

* Wed Mar 28 2007 Wart <wart@kobold.org> 0.7.9-3
- Enable use of $RPM_OPT_FLAGS

* Fri Mar 9 2007 Wart <wart@kobold.org> 0.7.9-2
- Clean up desktop file categories
- Use upstream's desktop file and icon

* Sat Feb 17 2007 Wart <wart@kobold.org> 0.7.9-1
- Update to 0.7.9

* Fri Sep 1 2006 Wart <wart@kobold.org> 0.7.4-1
- Update to 0.7.4

* Fri Aug 04 2006 Wart <wart@kobold.org> 0.7.2-6
- Add 'ArcadeGame' category to .desktop file

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-5
- Improve grammar in description

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-4
- Fix broken path to desktop icon
- Fix typo in description

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-3
- Use RPM_BUILD_ROOT consistently
- Put the wormux icon in a size-specific directory
- Removed INSTALL from the documentation files

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-2
- Expanded the description
- Separated game data into a subpackage

* Fri Jun 02 2006 Wart <wart@kobold.org> 0.7.2-1
- Initial Fedora Extras package
